## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XNodeSet Class Reference

Class to hold XPath return types. More...

Inheritance diagram for XNodeSet:

[legend]
Collaboration diagram for XNodeSet:

[legend]
List of all members.

## Public Types

- typedef XPathExecutionContext::BorrowReturnMutableNodeRefList BorrowReturnMutableNodeRefList

## Public Member Functions

- XNodeSet (BorrowReturnMutableNodeRefList &value, MemoryManagerType &theManager)
    Create an XNodeSet from a node list.
- XNodeSet (const XNodeSet &source, MemoryManagerType &theManager, bool deepClone=false)
    Create an XNodeSet from another.
- virtual ~XNodeSet ()
- virtual const NodeRefListBase & nodeset () const
    Cast result object to a nodelist.
- virtual XalanNode * item (size_type index) const
- virtual size_type getLength () const
- void release ()
    Release the node set held by the instance.
- void set (BorrowReturnMutableNodeRefList &value)
    Change the value of an XNodeSet.

## Detailed Description

Class to hold XPath return types.

## Member Typedef Documentation

typedef XPathExecutionContext::BorrowReturnMutableNodeRefList XNodeSet::BorrowReturnMutableNodeRefList

## Constructor & Destructor Documentation

XNodeSet::XNodeSet | ( | BorrowReturnMutableNodeRefList & | value,
|  | MemoryManagerType & | theManager
| ) |

  | Create an XNodeSet from a node list. Parameters:
  value | Pointer to source node list. The XNodeSet will adopt the pointer.

XNodeSet::XNodeSet | ( | const XNodeSet & | source,
|  | MemoryManagerType & | theManager,
|  | bool | deepClone = false
| ) |

  | Create an XNodeSet from another. Parameters:
  source | object to copy
  deepClone | true to copy all children on nodeset nodes

virtual XNodeSet::~XNodeSet | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual size_type XNodeSet::getLength | ( |  | ) | const`[virtual]`

| Implements XNodeSetBase.

virtual XalanNode* XNodeSet::item | ( | size_type | index | ) | const`[virtual]`

| Implements XNodeSetBase.

virtual const NodeRefListBase& XNodeSet::nodeset | ( |  | ) | const`[virtual]`

| Cast result object to a nodelist. Returns: node list Implements XNodeSetBase.

void XNodeSet::release | ( |  | ) |

| Release the node set held by the instance.

void XNodeSet::set | ( | BorrowReturnMutableNodeRefList & | value | ) |

  | Change the value of an XNodeSet. Parameters:
  theValue | The new value.

The documentation for this class was generated from the following file:

- XNodeSet.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.